Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface BatchValidation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

    public interface BatchValidation

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Batch Validation'.

The following features are supported:

- `Validation Provider Class Name`
- `Validation Provider Priority`
- `Marker Navigation Provider Class Name`
- `Marker Navigation Provider Priority`
- `Validation Enabled`
- `Metric Provider Class Name`
- `Metric Provider Priority`
- `Validation Decorator Provider Class Name`
- `Validation Decorators`
- `Validation Decorator Provider Priority`
- `Live Validation UI Feedback`

See Also:
  `GMFGenPackage.getBatchValidation()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getMarkerNavigationProviderClassName()` Returns the value of the 'Marker Navigation Provider Class Name' attribute
`ProviderPriority` `getMarkerNavigationProviderPriority()` Returns the value of the 'Marker Navigation Provider Priority' attribute.
`java.lang.String` `getMarkerNavigationProviderQualifiedClassName()`
`java.lang.String` `getMetricProviderClassName()` Returns the value of the 'Metric Provider Class Name' attribute
`ProviderPriority` `getMetricProviderPriority()` Returns the value of the 'Metric Provider Priority' attribute.
`java.lang.String` `getMetricProviderQualifiedClassName()`
`java.lang.String` `getMetricViewID()`
`java.lang.String` `getValidationDecoratorProviderClassName()` Returns the value of the 'Validation Decorator Provider Class Name' attribute
`ProviderPriority` `getValidationDecoratorProviderPriority()` Returns the value of the 'Validation Decorator Provider Priority' attribute.
`java.lang.String` `getValidationDecoratorProviderQualifiedClassName()`
`java.lang.String` `getValidationDiagnosticMarkerType()` Gets diagnostic marker type ID local to the editor plugin.
`java.lang.String` `getValidationProviderClassName()` Returns the value of the 'Validation Provider Class Name' attribute
`ProviderPriority` `getValidationProviderPriority()` Returns the value of the 'Validation Provider Priority' attribute.
`java.lang.String` `getValidationProviderQualifiedClassName()`
`boolean` `isLiveValidationUIFeedback()` Returns the value of the 'Live Validation UI Feedback' attribute
`boolean` `isValidationDecorators()` Returns the value of the 'Validation Decorators' attribute
`boolean` `isValidationEnabled()` Returns the value of the 'Validation Enabled' attribute
`void` `setLiveValidationUIFeedback(boolean value)` Sets the value of the '`Live Validation UI Feedback`' attribute
`void` `setMarkerNavigationProviderClassName(java.lang.String value)` Sets the value of the '`Marker Navigation Provider Class Name`' attribute
`void` `setMarkerNavigationProviderPriority(ProviderPriority value)` Sets the value of the '`Marker Navigation Provider Priority`' attribute
`void` `setMetricProviderClassName(java.lang.String value)` Sets the value of the '`Metric Provider Class Name`' attribute
`void` `setMetricProviderPriority(ProviderPriority value)` Sets the value of the '`Metric Provider Priority`' attribute
`void` `setValidationDecoratorProviderClassName(java.lang.String value)` Sets the value of the '`Validation Decorator Provider Class Name`' attribute
`void` `setValidationDecoratorProviderPriority(ProviderPriority value)` Sets the value of the '`Validation Decorator Provider Priority`' attribute
`void` `setValidationDecorators(boolean value)` Sets the value of the '`Validation Decorators`' attribute
`void` `setValidationEnabled(boolean value)` Sets the value of the '`Validation Enabled`' attribute
`void` `setValidationProviderClassName(java.lang.String value)` Sets the value of the '`Validation Provider Class Name`' attribute
`void` `setValidationProviderPriority(ProviderPriority value)` Sets the value of the '`Validation Provider Priority`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValidationProviderClassName

    java.lang.String getValidationProviderClassName()

  Returns the value of the 'Validation Provider Class Name' attribute.

  If the meaning of the 'Validation Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validation Provider Class Name' attribute.
  See Also:
    `setValidationProviderClassName(String)`, `GMFGenPackage.getBatchValidation_ValidationProviderClassName()`
  ** Generated **
  Model:

### setValidationProviderClassName

    void setValidationProviderClassName(java.lang.String value)

  Sets the value of the '`Validation Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Validation Provider Class Name' attribute.
  See Also:
    `getValidationProviderClassName()`
  ** Generated **

### getValidationProviderPriority

    ProviderPriority getValidationProviderPriority()

  Returns the value of the 'Validation Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Validation Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validation Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setValidationProviderPriority(ProviderPriority)`, `GMFGenPackage.getBatchValidation_ValidationProviderPriority()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2006/deprecated documentation='Validation action is no longer contributed via contributionItemProvider'"

### setValidationProviderPriority

    void setValidationProviderPriority(ProviderPriority value)

  Sets the value of the '`Validation Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Validation Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getValidationProviderPriority()`
  ** Generated **

### getMarkerNavigationProviderClassName

    java.lang.String getMarkerNavigationProviderClassName()

  Returns the value of the 'Marker Navigation Provider Class Name' attribute.

  If the meaning of the 'Marker Navigation Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Marker Navigation Provider Class Name' attribute.
  See Also:
    `setMarkerNavigationProviderClassName(String)`, `GMFGenPackage.getBatchValidation_MarkerNavigationProviderClassName()`
  ** Generated **
  Model:

### setMarkerNavigationProviderClassName

    void setMarkerNavigationProviderClassName(java.lang.String value)

  Sets the value of the '`Marker Navigation Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Marker Navigation Provider Class Name' attribute.
  See Also:
    `getMarkerNavigationProviderClassName()`
  ** Generated **

### getMarkerNavigationProviderPriority

    ProviderPriority getMarkerNavigationProviderPriority()

  Returns the value of the 'Marker Navigation Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Marker Navigation Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Marker Navigation Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setMarkerNavigationProviderPriority(ProviderPriority)`, `GMFGenPackage.getBatchValidation_MarkerNavigationProviderPriority()`
  ** Generated **
  Model:

### setMarkerNavigationProviderPriority

    void setMarkerNavigationProviderPriority(ProviderPriority value)

  Sets the value of the '`Marker Navigation Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Marker Navigation Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getMarkerNavigationProviderPriority()`
  ** Generated **

### isValidationEnabled

    boolean isValidationEnabled()

  Returns the value of the 'Validation Enabled' attribute. If enabled, ValidationAction is contributed by the editor plugin

  Returns:
    the value of the 'Validation Enabled' attribute.
  See Also:
    `setValidationEnabled(boolean)`, `GMFGenPackage.getBatchValidation_ValidationEnabled()`
  ** Generated **
  Model:

### setValidationEnabled

    void setValidationEnabled(boolean value)

  Sets the value of the '`Validation Enabled`' attribute.

  Parameters:
    `value` - the new value of the 'Validation Enabled' attribute.
  See Also:
    `isValidationEnabled()`
  ** Generated **

### getMetricProviderClassName

    java.lang.String getMetricProviderClassName()

  Returns the value of the 'Metric Provider Class Name' attribute.

  If the meaning of the 'Metric Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Metric Provider Class Name' attribute.
  See Also:
    `setMetricProviderClassName(String)`, `GMFGenPackage.getBatchValidation_MetricProviderClassName()`
  ** Generated **
  Model:

### setMetricProviderClassName

    void setMetricProviderClassName(java.lang.String value)

  Sets the value of the '`Metric Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Metric Provider Class Name' attribute.
  See Also:
    `getMetricProviderClassName()`
  ** Generated **

### getMetricProviderPriority

    ProviderPriority getMetricProviderPriority()

  Returns the value of the 'Metric Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Metric Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Metric Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setMetricProviderPriority(ProviderPriority)`, `GMFGenPackage.getBatchValidation_MetricProviderPriority()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2006/deprecated documentation='Metrics action is no longer contributed via contributionItemProvider'"

### setMetricProviderPriority

    void setMetricProviderPriority(ProviderPriority value)

  Sets the value of the '`Metric Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Metric Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getMetricProviderPriority()`
  ** Generated **

### getValidationDecoratorProviderClassName

    java.lang.String getValidationDecoratorProviderClassName()

  Returns the value of the 'Validation Decorator Provider Class Name' attribute.

  If the meaning of the 'Validation Decorator Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validation Decorator Provider Class Name' attribute.
  See Also:
    `setValidationDecoratorProviderClassName(String)`, `GMFGenPackage.getBatchValidation_ValidationDecoratorProviderClassName()`
  ** Generated **
  Model:

### setValidationDecoratorProviderClassName

    void setValidationDecoratorProviderClassName(java.lang.String value)

  Sets the value of the '`Validation Decorator Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Validation Decorator Provider Class Name' attribute.
  See Also:
    `getValidationDecoratorProviderClassName()`
  ** Generated **

### isValidationDecorators

    boolean isValidationDecorators()

  Returns the value of the 'Validation Decorators' attribute.

  If the meaning of the 'Validation Decorators' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validation Decorators' attribute.
  See Also:
    `setValidationDecorators(boolean)`, `GMFGenPackage.getBatchValidation_ValidationDecorators()`
  ** Generated **
  Model:

### setValidationDecorators

    void setValidationDecorators(boolean value)

  Sets the value of the '`Validation Decorators`' attribute.

  Parameters:
    `value` - the new value of the 'Validation Decorators' attribute.
  See Also:
    `isValidationDecorators()`
  ** Generated **

### getValidationDecoratorProviderPriority

    ProviderPriority getValidationDecoratorProviderPriority()

  Returns the value of the 'Validation Decorator Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Validation Decorator Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validation Decorator Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setValidationDecoratorProviderPriority(ProviderPriority)`, `GMFGenPackage.getBatchValidation_ValidationDecoratorProviderPriority()`
  ** Generated **
  Model:

### setValidationDecoratorProviderPriority

    void setValidationDecoratorProviderPriority(ProviderPriority value)

  Sets the value of the '`Validation Decorator Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Validation Decorator Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getValidationDecoratorProviderPriority()`
  ** Generated **

### isLiveValidationUIFeedback

    boolean isLiveValidationUIFeedback()

  Returns the value of the 'Live Validation UI Feedback' attribute.

  If the meaning of the 'Live Validation UI Feedback' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Live Validation UI Feedback' attribute.
  See Also:
    `setLiveValidationUIFeedback(boolean)`, `GMFGenPackage.getBatchValidation_LiveValidationUIFeedback()`
  ** Generated **
  Model:

### setLiveValidationUIFeedback

    void setLiveValidationUIFeedback(boolean value)

  Sets the value of the '`Live Validation UI Feedback`' attribute.

  Parameters:
    `value` - the new value of the 'Live Validation UI Feedback' attribute.
  See Also:
    `isLiveValidationUIFeedback()`
  ** Generated **

### getValidationProviderQualifiedClassName

    java.lang.String getValidationProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getValidationDiagnosticMarkerType

    java.lang.String getValidationDiagnosticMarkerType()

  Gets diagnostic marker type ID local to the editor plugin. The editor pluginID should be used to fully-qualify this ID.

  ** Generated **
  Model:
    kind="operation"

### getMarkerNavigationProviderQualifiedClassName

    java.lang.String getMarkerNavigationProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getMetricProviderQualifiedClassName

    java.lang.String getMetricProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getMetricViewID

    java.lang.String getMetricViewID()

  ** Generated **
  Model:
    kind="operation"

### getValidationDecoratorProviderQualifiedClassName

    java.lang.String getValidationDecoratorProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.